=== debian/changelog ===
cog (0.12.0-2) unstable; urgency=medium

  * debian/patches/fix-moduledir.patch:
    - This patch was broken, fix applying upstream commit 64effa9.

 -- Alberto Garcia <berto@igalia.com>  Fri, 04 Feb 2022 00:20:24 +0100

cog (0.12.0-1) unstable; urgency=medium

  * New upstream release.
  * Install modules in multiarch-compliant path:
    - debian/patches/fix-moduledir.patch: Fix path definition.
    - debian/install: Update installation rules.
  * debian/cog.lintian-overrides:
    - Update overrides.
  * debian/control:
    - Update Standards-Version to 4.6.0.1 (no changes).

 -- Alberto Garcia <berto@igalia.com>  Wed, 24 Nov 2021 21:57:03 +0100
