=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DUSE_SOUP2=OFF

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp
