=== platform/drm/CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,19 @@
 # libcogplatform-drm
 
-pkg_check_modules(EGL IMPORTED_TARGET REQUIRED egl)
-pkg_check_modules(WpeFDO IMPORTED_TARGET REQUIRED wpebackend-fdo-1.0>=1.4.0)
+pkg_check_modules(Epoxy IMPORTED_TARGET REQUIRED epoxy)
 pkg_check_modules(LibDRM IMPORTED_TARGET REQUIRED libdrm>=2.4.71)
 pkg_check_modules(LibGBM IMPORTED_TARGET REQUIRED gbm>=13.0)
 pkg_check_modules(LibInput IMPORTED_TARGET REQUIRED libinput)
 pkg_check_modules(LibUdev IMPORTED_TARGET REQUIRED libudev)
 pkg_check_modules(WaylandServer IMPORTED_TARGET REQUIRED wayland-server)
+find_package(WpeFDO REQUIRED)
 
 add_library(cogplatform-drm MODULE
+    ../common/cog-gl-utils.c
     cog-platform-drm.c
+    cog-drm-renderer.c
+    cog-drm-gles-renderer.c
+    cog-drm-modeset-renderer.c
     kms.c
     cursor-drm.c
 )
@@ -19,14 +23,14 @@
 )
 target_link_libraries(cogplatform-drm PRIVATE
     cogcore
-    PkgConfig::EGL
+    PkgConfig::Epoxy
     PkgConfig::LibDRM
     PkgConfig::LibGBM
     PkgConfig::LibInput
     PkgConfig::LibUdev
     PkgConfig::WaylandServer
     PkgConfig::WebKit
-    PkgConfig::WpeFDO
+    Wpe::FDO
 )
 
 string(REGEX MATCH "^([0-9]+)\.([0-9]+)\.([0-9]+)" _ "${LibInput_VERSION}")
