=== platform/gtk4/CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,16 @@
 pkg_check_modules(COGPLATFORM_GTK4_DEPS REQUIRED
-    IMPORTED_TARGET gtk4 wpebackend-fdo-1.0)
+    IMPORTED_TARGET gtk4)
+find_package(WpeFDO REQUIRED)
+
 add_library(cogplatform-gtk4 MODULE
+    ../common/cog-gl-utils.c
     cog-platform-gtk4.c
     cog-gtk-settings-dialog.c
     cog-gtk-settings-cell-renderer-variant.c)
 target_link_libraries(cogplatform-gtk4 PRIVATE
     PkgConfig::COGPLATFORM_GTK4_DEPS
     PkgConfig::WebKit
+    Wpe::FDO
 )
 set_target_properties(cogplatform-gtk4 PROPERTIES
     LIBRARY_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR}/modules
