=== debian/changelog ===
cog (0.14.0-1) unstable; urgency=medium

  * New upstream release.
  * debian/cog.lintian-overrides:
    - Update overrides.
    - Add no-symbols-control-file override.
  * debian/control:
    - Set the debhelper compatibility level to 13.
    - Update Standards-Version to 4.6.1.0.

 -- Alberto Garcia <berto@igalia.com>  Wed, 24 Aug 2022 15:34:44 +0200
