=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: web
 Priority: optional
 Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake,
                libcairo-dev,
                libdrm-dev,
@@ -12,7 +12,7 @@
                libwpebackend-fdo-1.0-dev (>= 1.10.0),
                libwpewebkit-1.1-dev,
                wayland-protocols
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.0
 Rules-Requires-Root: no
 Homepage: https://github.com/Igalia/cog
 Vcs-Browser: https://salsa.debian.org/berto/cog
