=== debian/changelog ===
cog (0.16.1-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Tue, 18 Oct 2022 15:23:35 +0200
