## cog 0.18.0

=== debian/changelog ===
cog (0.18.0-1) experimental; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Sun, 21 May 2023 18:57:37 +0200

cog (0.17.1-1) experimental; urgency=medium

  * New upstream development release.
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Use libwpewebkit-2.0-dev instead of 1.1.
    - Update Standards-Version to 4.6.2.

 -- Alberto Garcia <berto@igalia.com>  Wed, 15 Mar 2023 14:57:52 +0100
