=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
                libmanette-0.2-dev [linux-any],
                libwayland-dev,
                libwpebackend-fdo-1.0-dev (>= 1.10.0),
-               libwpewebkit-1.1-dev,
+               libwpewebkit-2.0-dev,
                meson,
                wayland-protocols
-Standards-Version: 4.6.1.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/Igalia/cog
 Vcs-Browser: https://salsa.debian.org/berto/cog
