## cog 0.18.4

=== meson_options.txt ===
--- 
+++ 
@@ -17,10 +17,11 @@
     description: 'build and install programs (cog, cogctl)'
 )
 option(
-    'soup2',
-    type: 'feature',
+    'wpe_api',
+    type: 'combo',
     value: 'auto',
-    description: 'Build with libsoup2 instead of libsoup3'
+    choices: ['auto', '1.0', '1.1', '2.0'],
+    description: 'WPE WebKit API to target (1.0 = soup2, 1.1/2.0 = soup3)'
 )
 
 # Wayland platform-specific features
