=== debian/changelog ===
cog (0.18.4-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 15 May 2024 15:24:46 +0200

cog (0.18.3-2) unstable; urgency=medium

  * debian/control:
    - Build using libwpewebkit-2.0-dev.

 -- Alberto Garcia <berto@igalia.com>  Fri, 12 Apr 2024 01:31:43 +0200

cog (0.18.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.
  * debian/control:
    - Require dpkg-dev 1.22.5 and wpewebkit 2.42.5-1.1.

 -- Alberto Garcia <berto@igalia.com>  Sat, 16 Mar 2024 21:58:23 +0100

cog (0.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 13 Dec 2023 13:14:33 +0100

cog (0.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Alberto Garcia <berto@igalia.com>  Wed, 15 Nov 2023 12:20:46 +0100

cog (0.18.0-3) unstable; urgency=medium

  * debian/control:
    - Add build dependency on libepoxy-dev (Closes: #1051107).

 -- Alberto Garcia <berto@igalia.com>  Sat, 02 Sep 2023 22:30:44 +0200

cog (0.18.0-2) unstable; urgency=medium

  * debian/control:
    - Use libwpewebkit-1.1-dev again. We'll switch to 2.0 when all its
      reverse dependencies are ready.

 -- Alberto Garcia <berto@igalia.com>  Fri, 21 Jul 2023 13:37:42 +0200
