## cog 0.18.5

=== meson_options.txt ===
--- 
+++ 
@@ -22,6 +22,14 @@
     value: 'auto',
     choices: ['auto', '1.0', '1.1', '2.0'],
     description: 'WPE WebKit API to target (1.0 = soup2, 1.1/2.0 = soup3)'
+)
+
+# Features supported in more than one platform
+option(
+    'libmanette',
+    type: 'feature',
+    value: 'auto',
+    description: 'Use libmanette to support gamepads'
 )
 
 # Wayland platform-specific features
