=== debian/changelog ===
cog (0.18.5-1) unstable; urgency=medium

  * New upstream release.
  * debian/copyright:
    - Update copyright years.

 -- Alberto Garcia <berto@igalia.com>  Fri, 30 May 2025 10:26:13 +0200
