=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: web
 Priority: optional
 Maintainer: Alberto Garcia <berto@igalia.com>
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
                libcairo-dev,
                libdrm-dev,
+               libepoxy-dev,
                libgbm-dev,
                libinput-dev,
                libmanette-0.2-dev [linux-any],
